Package org.apache.commons.beanutils2.converters

# Class LocalTimeConverter

java.lang.Object
org.apache.commons.beanutils2.converters.AbstractConverter<LocalTime>
org.apache.commons.beanutils2.converters.LocalTimeConverter

All Implemented Interfaces:
  `Converter<LocalTime>`

public final class LocalTimeConverter extends AbstractConverter<LocalTime>
`Converter` implementation that handles conversion to and from java.time.LocalTime objects.

Can be configured to either return a default value or throw a `ConversionException` if a conversion error occurs.

Since:
  2.0
See Also:
  - `LocalTime`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LocalTimeConverter()`
  Constructs a java.time.LocalTime Converter that throws a `ConversionException` if an error occurs.
  `LocalTimeConverter(LocalTime defaultValue)`
  Constructs a java.time.LocalTime Converter that returns a default value if an error occurs.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected <T> T`
  `convertToType(Class<T> type, Object value)`
  Converts a java.time.LocalTime or object into a String.
  `protected Class<LocalTime>`
  `getDefaultType()`
  Gets the default type this `Converter` handles.

  ### Methods inherited from class org.apache.commons.beanutils2.converters.AbstractConverter

  `conversionException, convert, convertArray, convertToString, getDefault, handleError, handleMissing, isUseDefault, setDefaultValue, toLowerCase, toString, toString, toTrim`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LocalTimeConverter

    public LocalTimeConverter()
    Constructs a java.time.LocalTime Converter that throws a `ConversionException` if an error occurs.

  - ### LocalTimeConverter

    public LocalTimeConverter(LocalTime defaultValue)
    Constructs a java.time.LocalTime Converter that returns a default value if an error occurs.
    Parameters:
      `defaultValue` - The default value to be returned if the value to be converted is missing or an error occurs converting the value.

- ## Method Details

  - ### convertToType

    protected <T> T convertToType(Class<T> type, Object value) throws Throwable

    Converts a java.time.LocalTime or object into a String.

    Specified by:
      `convertToType` in class `AbstractConverter<LocalTime>`
    Type Parameters:
      `T` - Target type of the conversion.
    Parameters:
      `type` - Data type to which this value should be converted.
      `value` - The input value to be converted.
    Returns:
      The converted value.
    Throws:
      `Throwable` - if an error occurs converting to the specified type
    Since:
      2.0

  - ### getDefaultType

    protected Class<LocalTime> getDefaultType()
    Gets the default type this `Converter` handles.
    Specified by:
      `getDefaultType` in class `AbstractConverter<LocalTime>`
    Returns:
      The default type this `Converter` handles.
    Since:
      2.0